Bug 61553 - catapult should statically link RPM
Summary: catapult should statically link RPM
Status: CLOSED WONTFIX
Alias: None
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: catapult (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Stronghold Engineering List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-21 14:42 UTC by Joe Orton
Modified: 2007-04-18 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-25 16:33:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2002-03-21 14:42:58 UTC
Description of Problem:
catapult should be statically linked against RPM: RPM backwards-compatiblity
libraries are not provided when the soname changes, e.g. RHEA-2002:024-23.

How Reproducible:
Always.

Steps to Reproduce:
1. Install stock 7.2 system
2. Install catapult
3. Try to upgrade to RHEA-2002:024-23

Actual Results:
Failure.

Expected Results:
Success.

Additional Information:
Also, catapult sfx built on 7.2 system will not run on a system errata'd to
RHEA-2002:024-23.


Note You need to log in before you can comment on or make changes to this bug.